Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehbox.consultation.protocol.v3
Class MoveMessageRequest

    java.lang.Object
      be.fgov.ehealth.ehbox.consultation.protocol.v3.MoveMessageRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-06-27T08:08:52+02:00",
               comments="JAXB RI v2.2.11")
    public class MoveMessageRequest

extends Object
implements Serializable

Java class for MoveMessageRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MoveMessageRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="BoxId" type="{urn:be:fgov:ehealth:ehbox:core:v3}BoxIdType" minOccurs="0"/>
             <element name="Source">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="INBOX"/>
                   <enumeration value="SENTBOX"/>
                   <enumeration value="BININBOX"/>
                   <enumeration value="BINSENTBOX"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="Destination">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="INBOX"/>
                   <enumeration value="SENTBOX"/>
                   <enumeration value="BININBOX"/>
                   <enumeration value="BINSENTBOX"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="MessageId" type="{urn:be:fgov:ehealth:ehbox:core:v3}MessageIdType" maxOccurs="100"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`MoveMessageRequest()`

Method Summary
`BoxIdType` | `getBoxId()` Gets the value of the boxId property.
`String` | `getDestination()` Gets the value of the destination property.
`List<String>` | `getMessageIds()` Gets the value of the messageIds property.
`String` | `getSource()` Gets the value of the source property.
`void` | `setBoxId(BoxIdType value)` Sets the value of the boxId property.
`void` | `setDestination(String value)` Sets the value of the destination property.
`void` | `setSource(String value)` Sets the value of the source property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MoveMessageRequest

    public MoveMessageRequest()

Method Detail

### getBoxId

    public BoxIdType getBoxId()

  Gets the value of the boxId property.

  Returns:
    possible object is `BoxIdType`

### setBoxId

    public void setBoxId(BoxIdType value)

  Sets the value of the boxId property.

  Parameters:
    `value` - allowed object is `BoxIdType`

### getSource

    public String getSource()

  Gets the value of the source property.

  Returns:
    possible object is `String`

### setSource

    public void setSource(String value)

  Sets the value of the source property.

  Parameters:
    `value` - allowed object is `String`

### getDestination

    public String getDestination()

  Gets the value of the destination property.

  Returns:
    possible object is `String`

### setDestination

    public void setDestination(String value)

  Sets the value of the destination property.

  Parameters:
    `value` - allowed object is `String`

### getMessageIds

    public List<String> getMessageIds()

  Gets the value of the messageIds property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the messageIds property.

  For example, to add a new item, do as follows:

          getMessageIds().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.